local Addon_Name, bc = ... 

SLASH_COLORENCODE1 = '/raidrolls';
SLASH_COLORENCODE2 = '/rr';
SlashCmdList["COLORENCODE"] = function(msg, editbox)
    if msg == "" then
        print("Cmds: show, hide, help, reset.")
    
    elseif msg == "show" then
        bc.show(true)
    
    elseif msg == "hide" then
        bc.show(false)
    
    elseif msg == "help" then
        raidrollsHelp()
        
    elseif msg == "reset" then
        bc.reset()
    
    end
end


function raidrollsHelp()
    print(GetAddOnMetadata("RaidRolls", "Title") .. " v" .. GetAddOnMetadata("RaidRolls", "Version") .. ".");
    print("Slash Commands '/raidrolls' (or '/rr'):")
    print("  none - Commands list.")
    print("  'show'/'hide' - Show/Hide GUI.")
    print("  'help' - Uroboros!")
    print("  'reset' - Erace all rolls.")
end
